<%@page import="com.pjt.cstore.CeoDAO"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html lang="ko">

<%
	String ceo = (String)session.getAttribute("ceo");
	String user = (String)session.getAttribute("user");
	
	CeoDAO ceodao = new CeoDAO();
	int count = ceodao.getStoreCount(user);

	if(user != null && ceo == null){
		response.sendRedirect("/");
	}
%>

<!-- Head 삽입 -->
<jsp:include page="/include/head.jsp"/>

<body>
	<div id="page-wrapper">

		<!-- Header 삽입 -->
		<jsp:include page="/include/header.jsp" />

		<!-- Nav 삽입 -->
		<jsp:include page="/include/nav.jsp" />

		<!-- Main -->
		<section id="main">
			<div class="container">
			
				<div class="col-12">
					<div class="content">
						<!-- Content -->
						<article class="box page-content">
							<!-- Features -->
							<section class="box features">
								<div>
									<div class="row">
										<div class="col-6">

											<!-- Feature -->
											<section class="box feature">
												<h2>
													<a href="./myStore.jsp" class="image featured joinBtn" onclick="return storeCheck();">
														나의<br>매장
													</a>
												</h2>
											</section>

										</div>
										<div class="col-6">

											<!-- Feature -->
											<section class="box feature">
												<h2>
													<a href="./updateStoreForm.jsp" class="image featured joinBtn" onclick="return loginCheck();">
														점포<br>등록
													</a>
												</h2>
											</section>
										</div>
									</div>
								</div>
							</section>
						</article>
					</div>
				</div>
			</div>
		</section>

		<!-- Footer 삽입 -->
		<jsp:include page="/include/footer.jsp" />

	</div>
	<script>
		function loginCheck() {
			<% if(ceo == null) { %>
				alert("로그인이 필요합니다.");
				return false;
			<% } %>
		}
		function storeCheck() {
			<% if(ceo == null) { %>
				alert("로그인이 필요합니다.");
				return false;
			<% } else if (count != 1) { %>
				alert("등록된 매장이 없습니다.");
				return false;
			<% } %>
		}
	</script>
</body>

</html>