<%@page import="com.pjt.cstore.CeoDAO"%>
<%@page import="com.pjt.cstore.CeoVO"%>
<%@page import="com.pjt.cstore.CustomerVO"%>
<%@page import="com.pjt.cstore.StoreVO"%>
<%@page import="java.util.ArrayList"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html lang="ko">

<%
	String ceo = (String)session.getAttribute("ceo");
	String user = (String)session.getAttribute("user");

	if(ceo == null){
		response.sendRedirect("/ceo");
	}
	
	CeoDAO ceodao = new CeoDAO();
	int count = ceodao.getStoreCount(user);
	
	ArrayList<CustomerVO> orderList = ceodao.orderlist(user);
	ArrayList<StoreVO> proceedList = ceodao.proceedlist(user);
%>

<!-- Head 삽입 -->
<jsp:include page="/include/head.jsp"/>

<body>
	<div id="page-wrapper">

		<!-- Header 삽입 -->
		<jsp:include page="/include/header.jsp" />

		<!-- Nav 삽입 -->
		<jsp:include page="/include/nav.jsp" />

		<!-- Main -->
		<section id="main">
			<div class="container">
				<div class="col-12">

					<div class="content">

						<!-- Content -->
						<article class="box page-content">

							<!-- Features -->
							<section class="box features">
								<div>
									<div class="row">
										<div class="col-4">

											<!-- Feature -->
											<section class="box feature">
												<h2>
													<a href="./menu/orderList.jsp" class="image featured joinBtn" onclick="return saleCheck();">
														주문<br>내역
													</a>
												</h2>
											</section>

										</div>
										<div class="col-4">

											<!-- Feature -->
											<section class="box feature">
												<h2>
													<a href="./menu/grossProceeds.jsp" class="image featured joinBtn" onclick="return saleCheck();">
														총합<br>매출
													</a>
												</h2>
											</section>

										</div>
										<div class="col-4">

											<!-- Feature -->
											<section class="box feature">
												<h2>
													<a href="./menu/uploadProduct.jsp" class="image featured joinBtn" onclick="return loginCheck();">
														물품<br>등록
													</a>
												</h2>
											</section>

										</div>
										<!-- <div class="col-3">

											Feature
											<section class="box feature">
												<h2>
													<a href="./menu/customerManage.jsp" class="image featured joinBtn" onclick="return loginCheck();">
														회원<br>관리
													</a>
												</h2>
											</section>

										</div>
										<div class="col-3">

											Feature
											<section class="box feature">
												<h2>
													<a href="./menu/mileage.jsp" class="image featured joinBtn" onclick="return loginCheck();">
														마일<br>리지
													</a>
												</h2>
											</section>

										</div> -->
									</div>
								</div>
							</section>

						</article>

					</div>

				</div>
			</div>
		</section>

		<!-- Footer 삽입 -->
		<jsp:include page="/include/footer.jsp" />

	</div>
	<script>
		function loginCheck() {
			<% if(ceo == null) { %>
				alert("로그인이 필요합니다.");
				return false;
			<% } else if (count != 1) { %>
				alert("등록된 매장이 없습니다.");
				return false;
			<% } %>
		}
		
		function saleCheck() {
			<% if(!(orderList.size() > 0 || proceedList.size() > 0)) { %>
				alert("내역이 없습니다.");
				return false;
			<% } %>
		}
	</script>
</body>

</html>