<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html lang="ko">

<%
	String ceo = (String) session.getAttribute("ceo");
	String user = (String) session.getAttribute("user");
	String author = "";
	if (ceo != null) {
		author = ceo;
	} else if (user != null) {
		author = user;
	} else {
		response.sendRedirect("/");
	}
%>

<!-- Head 삽입 -->
<jsp:include page="/include/head.jsp" />

<body>
	<div id="page-wrapper">

		<!-- Header 삽입 -->
		<jsp:include page="/include/header.jsp" />

		<!-- Nav 삽입 -->
		<jsp:include page="/include/nav.jsp" />

		<!-- Main -->
		<section id="main">
			<div class="container">
				<div class="col-12">

					<div class="content">

						<!-- Content -->
						<article class="box page-content">

							<header>
								<h2>커뮤니티 글 작성</h2>
							</header>

							<!-- Features -->
							<section class="box features">
								<div>
									<form action="/CommunityController" method="POST" class="form board"
										id="writeform">
										<div class="row">
											<div class="col-12 row mgt05">
												<label for="title" class="col-3">제목</label> <input
													type="text" id="title" name="title" class="col-9" required />
											</div>
											<div class="col-12 row mgt05">
												<label for="contents" class="col-3">내용</label>
												<textarea name="contents" id="contents" cols="30" rows="10" class="col-9" required></textarea>
											</div>

											<div class="col-12">
												<ul class="actions">
													<li><a href="javascript:history.back()"
														class="button alt">이전</a></li>
													<li><button type="button" onClick="submitWrite()"
															class="button">글 작성</button></li>
												</ul>
											</div>

										</div>
									</form>
								</div>
							</section>

						</article>

					</div>

				</div>
			</div>
		</section>

		<!-- Footer 삽입 -->
		<jsp:include page="/include/footer.jsp" />
		<script>

			function submitWrite() {

				/* 입력 검증 */
				if ($("#title").val() == "") {
					alert('제목을 입력하세요.');
					return false;
				} else if ($("#contents").val() == "") {
					alert('내용을 입력하세요.');
					return false;
				}
				
				$('.board').append($('<input name="type" id="type" style="display:none"/>').val("write"));
				$('.board').append($('<input name="author" id="author" style="display:none"/>').val("<%=author%>"));
				
				$("#writeform").submit();
			}
		</script>
	</div>
</body>

</html>