<%@page import="java.util.ArrayList"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html lang="ko">
<!-- Head 삽입 -->
<jsp:include page="/include/head.jsp" />

<body class="homepage is-preload">

	<div id="page-wrapper">

		<!-- Header 삽입 -->
		<jsp:include page="/include/header.jsp" />

		<!-- Nav 삽입 -->
		<jsp:include page="/include/nav.jsp" />

		<!-- Main -->
		<section id="main">
			<div class="container">
				<div class="row">
					<div class="col-3 col-12-medium">
						<div class="sidebar">

							<!-- Sidebar -->

							<!-- Recent Posts -->
							<section>
								<h2 class="major">
									<span>FAQ</span>
								</h2>
								<ul class="divided">
									<li>
										<article class="box post-summary">
											<h3>
												<a href="javascript:void(0);" class="pay">결제</a>
											</h3>
										</article>
									</li>
									<li>
										<article class="box post-summary">
											<h3>
												<a href="javascript:void(0);" class="membership">멤버쉽</a>
											</h3>
										</article>
									</li>
									<li>
										<article class="box post-summary">
											<h3>
												<a href="javascript:void(0);" class="product">상품</a>
											</h3>
										</article>
										
									</li>
									<li>
										<article class="box post-summary">
											<h3>
												<a href="javascript:void(0);" class="store">점포</a>
											</h3>
										</article>
									</li>
								</ul>
							</section>

						</div>
					</div>
					<div class="col-9 col-12-medium imp-medium">
						<div class="content">

							<!-- Content -->

							<article class="box page-content">

								<header>
									<h2>FAQ</h2>
									<p class="f_parent">너만의 편의점 자주 묻는 질문</p>
								</header>

								<section class="faq_list">
									<ul class="pay content">
										<li class="question">Q. TESTTESTTEST
										</li>
										<li class="answer">A. TESTTESTTEST
										</li>
									</ul>
									<ul class="membership">
										<li class="question">Q. TESTTESTTEST2
										</li>
										<li class="answer">A. TESTTESTTEST
										</li>
									</ul>
									<ul class="product">
										<li class="question">Q. TESTTESTTEST3
										</li>
										<li class="answer">A. TESTTESTTEST
										</li>
									</ul>
									<ul class="store">
										<li class="question">Q. TESTTESTTEST4
										</li>
										<li class="answer">A. TESTTESTTEST
										</li>
									</ul>
								</section>
							</article>

						</div>
					</div>

				</div>
			</div>
		</section>

	</div>

	<!-- Footer 삽입 -->
	<jsp:include page="/include/footer.jsp" />
	<script>
		$(function() {
			$(".question").on("click", function() {
				if ($(this).next().css("display") == "none") {
					$(this).next().css("display", "block");
				} else {
					$(this).next().css("display", "none");
				}
			});
			
			$(".post-summary > h3 > a").on("click", function() {
				$(".faq_list > ."+$(this).attr('class')).siblings().removeClass("content");
				
				$(".faq_list > ."+$(this).attr('class')).addClass("content");
			});
		});
	</script>
</body>

</html>