<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html lang="ko">

<!-- Head 삽입 -->
<jsp:include page="/include/head.jsp"/>

<body>
	<div id="page-wrapper">

		<!-- Header 삽입 -->
		<jsp:include page="/include/header.jsp" />

		<!-- Nav 삽입 -->
		<jsp:include page="/include/nav.jsp" />

		<!-- Main -->
		<section id="main">
			<div class="container">
				<div class="col-12">

					<div class="content">

						<!-- Content -->
						<article class="box page-content">

							<header>
								<h2>회원가입</h2>
							</header>

							<!-- Features -->
							<section class="box features">
								<div>
									<div class="row">
										<div class="col-6">

											<!-- Feature -->
											<section class="box feature">
												<h2>
													<a href="./joinForm.jsp?adult=0" class="image featured joinBtn">
														<span class="tGreen">청소년</span><br>회원가입
													</a>
												</h2>
											</section>

										</div>
										<div class="col-6">

											<!-- Feature -->
											<section class="box feature">
												<h2>
													<a href="./joinForm.jsp?adult=1" class="image featured joinBtn">
														<span class="tGreen">성인</span><br>회원가입
													</a>
												</h2>
											</section>

										</div>
										<div class="col-12">
											<ul class="actions">
												<li><a href="javascript:history.back()" class="button alt">이전</a></li>
											</ul>
										</div>
									</div>
								</div>
							</section>

						</article>

					</div>

				</div>
			</div>
		</section>

		<!-- Footer 삽입 -->
		<jsp:include page="/include/footer.jsp" />

	</div>
</body>

</html>