<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html lang="ko">

<%
	String user = (String) session.getAttribute("user");

	if (user == null) {
		response.sendRedirect("/");
	}
%>

<!-- Head 삽입 -->
<jsp:include page="/include/head.jsp"/>

<body>
	<div id="page-wrapper">

		<!-- Header 삽입 -->
		<jsp:include page="/include/header.jsp" />

		<!-- Nav 삽입 -->
		<jsp:include page="/include/nav.jsp" />

		<!-- Main -->
		<section id="main">
			<div class="container">
			
				<div class="col-12">
					<div class="content">
						<!-- Content -->
						<article class="box page-content">
							<!-- Features -->
							<section class="box features">
								<div>
									<div class="row">
										<div class="col-6">

											<!-- Feature -->
											<section class="box feature">
												<h2>
													<a href="./myStore.jsp" class="image featured joinBtn" onclick="return loginCheck();">
														편의점 별
													</a>
												</h2>
											</section>

										</div>
										<div class="col-6">

											<!-- Feature -->
											<section class="box feature">
												<h2>
													<a href="./myProduct.jsp" class="image featured joinBtn" onclick="return loginCheck();">
														물품 별
													</a>
												</h2>
											</section>
										</div>
									</div>
								</div>
							</section>
						</article>
					</div>
				</div>
			</div>
		</section>

		<!-- Footer 삽입 -->
		<jsp:include page="/include/footer.jsp" />

	</div>
</body>

</html>