<%@page import="com.pjt.cstore.CustomerDAO"%>
<%@page import="com.pjt.cstore.CustomerVO"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html lang="ko">

<%
	String user = (String) session.getAttribute("user");
	if (user == null) {
		response.sendRedirect("/");
	}

	CustomerVO customerVO = new CustomerVO();
	CustomerDAO customerDAO = new CustomerDAO();

	customerVO = customerDAO.searchAll(user);
%>
<!-- Head 삽입 -->
<jsp:include page="/include/head.jsp" />

<body class="homepage is-preload">

	<div id="page-wrapper">

		<!-- Header 삽입 -->
		<jsp:include page="/include/header.jsp" />

		<!-- Nav 삽입 -->
		<jsp:include page="/include/nav.jsp" />

		<!-- Main -->
		<section id="main">
			<div class="container">
				<div class="row">
					<div class="col-3 col-12-medium">
						<div class="sidebar">

							<!-- Sidebar -->

							<!-- Recent Posts -->
							<section>
								<h2 class="major">
									<span>Mypage</span>
								</h2>
								<ul class="divided">
									<li>
										<article class="box post-summary">
											<h3>
												<a href="./myinfo.jsp">내 정보</a>
											</h3>
										</article>
									</li>
									<li>
										<article class="box post-summary">
											<h3>
												<a href="./favoriteIndex.jsp">즐겨찾기 관리</a>
											</h3>
										</article>
									</li>
									<li>
										<article class="box post-summary">
											<h3>
												<a href="./basket.jsp">장바구니</a>
											</h3>
										</article>
									</li>
									<li>
										<article class="box post-summary">
											<h3>
												<a href="./purchaselist.jsp">구매 내역</a>
											</h3>
										</article>
									</li>
									<li>
										<article class="box post-summary">
											<h3>
												<a href="javascript:void(0)" onclick="deletecustomer()">회원 탈퇴</a>
											</h3>
										</article>
									</li>
								</ul>
							</section>

						</div>
					</div>
					<div class="col-9 col-12-medium imp-medium">
						<div class="content">

							<!-- Content -->

							<article class="box page-content">

								<header>
									<h2>Mypage</h2>
									<p class="f_parent">
										<span class="fl">이름: <%=customerVO.getName()%></span> <span
											class="fr">마일리지: <%=customerVO.getMileage()%>점
										</span>
									</p>
								</header>

								<section class="mypage_btn_wrap">
									<ul class="actions f_parent">
										<li class="fl"><a href="./myinfo.jsp" class="button">내
												정보</a></li>
										<li class="fr"><a href="./favoriteIndex.jsp"
											class="button">즐겨찾기 관리</a></li>
									</ul>
									<ul class="actions f_parent">
										<li class="fl"><a href="./basket.jsp" class="button">장바구니</a></li>
										<li class="fr"><a href="./purchaselist.jsp" class="button">구매
												내역</a></li>
									</ul>
								</section>
							</article>

						</div>
					</div>

				</div>
			</div>
		</section>

	</div>

	<!-- Footer 삽입 -->
	<jsp:include page="/include/footer.jsp" />
	<script>
	function deletecustomer(){
		if(confirm('정말 탈퇴하시겠습니까?')){
			$.ajax({
				async : true,
				type : 'GET',
				url : "/CustomerController?controller=deletecustomer&id=<%=customerVO.getId()%>",
				dataType : "text",
				contentType : "application/json; charset=UTF-8",
				success : function(data) {
					if (data == "success") {
						alert("회원 탈퇴가 완료되었습니다.");
						location.href='/include/logout.jsp';
					} else {
						alert("삭제에 실패했습니다.");
					}
				}
			});
		}
	}
	</script>
</body>

</html>