<%@page import="com.pjt.cstore.PurchaseVO"%>
<%@page import="com.pjt.cstore.PurchaseDAO"%>
<%@page import="java.util.List"%>
<%@page import="java.util.ArrayList"%>
<%@page import="com.pjt.cstore.ProductDAO"%>
<%@page import="com.pjt.cstore.ProductVO"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html lang="ko">

<%
	String user = (String) session.getAttribute("user");

	if (user == null) {
		response.sendRedirect("/");
	}

	ProductDAO productDAO = new ProductDAO();
	
	ArrayList<ProductVO> productList = null;
	
	productList = productDAO.paymentList(user);
%>

<!-- Head 삽입 -->
<jsp:include page="/include/head.jsp" />

<body>
	<div id="page-wrapper">

		<!-- Header 삽입 -->
		<jsp:include page="/include/header.jsp" />

		<!-- Nav 삽입 -->
		<jsp:include page="/include/nav.jsp" />

		<!-- Main -->
		<section id="main">
			<div class="container">
				<form action="/PurchaseController" method="POST" id="purchaseForm">
					<div class="row p_relative">
						<div class="col-3">
							<div class="sidebar">

								<!-- Sidebar -->

								<!-- Recent Posts -->
								<section>
									<h2 class="major">
										<span>구매 내역</span>
									</h2>
								</section>

							</div>
						</div>
						<div class="col-12 productDetail">
							<div class="row p_relative borderBottom borderTop mgl50p">
								<table class="mgt50p basket">
									<caption>구매하기</caption>
									<colgroup>
										<col width="8%" />
										<col width="15%" />
										<col width="*" />
										<col width="15%" />
										<col width="10%" />
										<col width="15%" />
									</colgroup>
									<thead>
										<tr>
											<th>순서</th>
											<th>점포명</th>
											<th>상품명</th>
											<th>가격</th>
											<th>수량</th>
										</tr>
									</thead>
									<tbody>
										<%
											if (productList.size() != 0) {
										%>
										<%
											for (ProductVO product : productList) {
										%>
										<tr class="tCenter">
											<td><%=product.getIdx()%></td>
											<td><%=product.getSalestore()%></td>
											<td><img src="/assets/img/<%=product.getImg()%>"
												alt="<%=product.getName()%>" class="basket_img" /><%=product.getName()%>
											</td>
											<%
												if (product.getSale() != 1) {
											%>
											<td class="sale_price"><%=product.getPrice() * product.getCount()%>원</td>
											<%
												} else {
											%>
											<td class="sale_price"><%=(product.getPrice() - product.getSaleprice()) * product.getCount()%>원</td>
											<%
												}
											%>
											<td class="product_count"><%=product.getCount()%>개</td>
										</tr>
										<%
											}
										%>
										<%
											}
										%>
									</tbody>
								</table>
							</div>
						</div>

					</div>
				</form>
			</div>
		</section>

		<!-- Footer 삽입 -->
		<jsp:include page="/include/footer.jsp" />

	</div>
</body>
<script>
$('.dim').click(function(e) {
	$('.dim').css('display', 'none');
});

$('.qrcode').click(function(e) {
	$('.dim').css('display', 'block');
});
</script>
</html>