<%@page import="java.util.List"%>
<%@page import="java.util.ArrayList"%>
<%@page import="com.pjt.cstore.ProductDAO"%>
<%@page import="com.pjt.cstore.ProductVO"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html lang="ko">
<%
	String user = (String) session.getAttribute("user");

	ProductDAO productDAO = new ProductDAO();
	ProductVO product = null;

	product = productDAO.productDetail(request.getParameter("code"));
%>
<!-- Head 삽입 -->
<jsp:include page="/include/head.jsp" />
<body class="homepage is-preload">

	<div id="page-wrapper">

		<!-- Header 삽입 -->
		<jsp:include page="/include/header.jsp" />

		<!-- Nav 삽입 -->
		<jsp:include page="/include/nav.jsp" />

		<!-- Main -->
		<section id="main">
			<div class="container">
				<div class="row p_relative">
					<div class="col-3">
						<div class="sidebar">

							<!-- Sidebar -->

							<!-- Recent Posts -->
							<section>
								<h2 class="major">
									<span>상품 상세</span>
								</h2>
							</section>

						</div>
					</div>
					<div class="col-12 productDetail">
						<div class="row p_relative f_parent">
							<div class="col-6 fl">
								<img alt="<%=product.getCode()%>"
									src="/assets/img/<%=product.getImg()%>">
							</div>
							<div class="col-4 fr">
								<p class="mgb0">
									<%
										if (product.getNewly() == 1) {
									%>
									<span class="tRed">NEW</span>
									<%
										}
									%>
									<%
										if (product.getSale() == 1) {
									%>
									<span class="tGreen">SALE</span>
									<%
										}
									%>
								</p>
								<p class="tBlack tBold mgb50 borderBottom"><%=product.getName()%></p>
								<%
									if (product.getSale() != 1) {
								%>
								<p class="f_parent mgb10">
									<span class="tBold fl">가격</span><span class="fr"><span class="price"><%=product.getPrice()%></span>원</span>
								</p>
								<%
									} else {
								%>
								<p class="f_parent mgb10">
									<span class="tBold fl">가격</span><span class="fr"><span
										class="sale"><%=product.getPrice()%></span><span class="price"><%=product.getPrice()-product.getSaleprice()%></span>원</span>
								</p>
								<%
									}
								%>
								<p class="f_parent">
									<span class="tBold fl">수량 선택</span>
									<span class="fr">
										<span class="quantity">
											<input type="text" id="product_quantity" name="product_quantity" value="1">
											<a href="#none">
												<img src="/assets/img/btn_count_up.gif" id="option_box1_up" class="up option_box_up" alt="수량증가">
											</a>
											<a href="#none">
												<img src="/assets/img/btn_count_down.gif" id="option_box1_down" class="down option_box_down" alt="수량감소">
											</a>
										</span>
									</span>
								</p>
								<p class="f_parent">
									<span class="totalPrice tBold fl">총 금액</span>
									<span class="totalPrice tBold fr"><span class="cost"><%=product.getPrice()-product.getSaleprice()%></span>원</span>
								</p>
								<form action="/PurchaseController" method="POST" id="purchaseForm">
									<input type="hidden" name="type" value="purchaseEach" />
									<input type="hidden" name="price" value="0" />
									<input type="hidden" name="count" value="0" />
									<input type="hidden" name="id" value="<%=user%>" />
									<input type="hidden" name="code" value="<%=request.getParameter("setcode")%>" />
									<div class="product_btnwrap mgb50">
										<span class="purchase">
											<button type="button" onClick="purchase()">구매하기</button>
										</span>
										<span class="keep">
											<button type="button" class="tBlack" onClick="save_basket(<%=product.getCode()%>)">장바구니</button>
										</span>
										<span class="favorite">
											<button type="button" class="tBlack" onClick="save_favorite(<%=product.getCode()%>)">즐겨찾기</button>
										</span>
									</div>
								</form>
								<span class="dBlock borderBottom"></span>
							</div>
						</div>
					</div>

				</div>
			</div>
		</section>

	</div>

	<!-- Footer 삽입 -->
	<jsp:include page="/include/footer.jsp" />
</body>
<script>
	$(function(){
		$("#option_box1_up").on("click",function(){
			$("#product_quantity").val( parseInt($("#product_quantity").val()) + 1 );
			$(".cost").text( parseInt($("#product_quantity").val()) * <%=product.getPrice()-product.getSaleprice()%> );
		});
		
		$("#option_box1_down").on("click",function(){
			if( $("#product_quantity").val() == "1" ) {
				alert("수량은 1개 이상으로 지정해주세요.")
			} else {
				$("#product_quantity").val( parseInt($("#product_quantity").val()) - 1 );
				$(".cost").text( parseInt($("#product_quantity").val()) * <%=product.getPrice()-product.getSaleprice()%> );
			}
		});
	});
	
	function save_favorite(code) {
		<% if (user == null) { %>
		alert("로그인이 필요합니다.");
		<% } else { %>
		$.ajax({
			async : true,
			type : 'GET',
			url : "/ProductController?code="+code+"&id=<%=user%>&type=savefavorite&setCode=<%=request.getParameter("setcode")%>",
			dataType : "text",
			contentType : "application/json; charset=UTF-8",
			success : function(data) {
				if(data == "success") {
					alert("즐겨찾기에 저장되었습니다.");
					location.reload();
				}
			}
		});
		<% } %>
	}
	
	function save_basket(code) {
		<% if (user == null) { %>
		alert("로그인이 필요합니다.");
		<% } else { %>
		$.ajax({
			async : true,
			type : 'GET',
			url : "/ProductController?code=" + code + "&id=<%=user%>&type=savebasket&count=" + $("#product_quantity").val() + "&setCode=<%=request.getParameter("setcode")%>",
			dataType : "text",
			contentType : "application/json; charset=UTF-8",
			success : function(data) {
				if(data == "success") {
					alert("장바구니에 저장되었습니다.");
					location.reload();
				}
			}
		});
		<% } %>
	}
	
	function purchase() {
		<% if (user == null) { %>
		alert("로그인이 필요합니다.");
		<% } else { %>
		if(confirm("상품을 즉시 구매 하시겠습니까?")) {
			$("input[name=price]").val($("span.cost").text());
			$("input[name=count]").val($("input[name=product_quantity]").val());
			$("#purchaseForm").submit();
		}
		<% } %>
	}
</script>
</html>