package com.pjt.cstore;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.util.ArrayList;

import com.pjt.cstore.common.DBConnector;

public class ProductDAO {

	private Connection con, con2, con3;

	private PreparedStatement pstmt, pstmt2, pstmt3;
	
	private ResultSet rs, rs2, rs3;

	public ProductDAO() {

		try {

			DBConnector connector = new DBConnector();
			con = connector.DBCon();
			con2 = connector.DBCon();
			con3 = connector.DBCon();

		} catch (Exception e) {

			e.printStackTrace();

		}

	}
	
	public ArrayList<ProductVO> list(String store_code) {
		String SQL = "", SQL2 = "";
		ArrayList<ProductVO> productList = new ArrayList<ProductVO>();

		SQL = "SELECT * FROM product";
		try {

			pstmt = con.prepareStatement(SQL);
			rs = pstmt.executeQuery();

			while(rs.next()) {
				ProductVO ProductVO = new ProductVO();
				
				SQL2 = "SELECT EXISTS (SELECT * FROM store_product WHERE store_code = " + store_code + " AND product_code = " + rs.getInt("code") + ") AS success";
				pstmt2 = con2.prepareStatement(SQL2);
				rs2 = pstmt2.executeQuery();
				
				while(rs2.next()) {
					if(rs2.getInt("success") == 1) {
						SQL = "SELECT * FROM store_product WHERE store_code = " + store_code + " AND product_code = " + rs.getInt("code");
						pstmt2 = con2.prepareStatement(SQL);
						rs3 = pstmt2.executeQuery();
						ProductVO.setName(rs.getString("name"));
						ProductVO.setImg(rs.getString("img"));
						ProductVO.setCode(rs.getInt("code"));
						ProductVO.setPrice(rs.getInt("price"));
						ProductVO.setFavorite(0);
						while(rs3.next()) {
							ProductVO.setSetcode(rs3.getString("set_code"));
						}
						productList.add(ProductVO);
					}
				}
				
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
		return productList;
	}
	
	public ArrayList<ProductVO> customerlist(String user, String store_code) {
		String SQL = "", SQL2 = "", SQL3 = "";
		ArrayList<ProductVO> productList = new ArrayList<ProductVO>();
		SQL = "SELECT * FROM product";
		try {

			pstmt = con.prepareStatement(SQL);
			rs = pstmt.executeQuery();

			while(rs.next()) {
				ProductVO ProductVO = new ProductVO();
				
				SQL2 = "SELECT * FROM store_product WHERE store_code = " + store_code + " AND product_code = " + rs.getInt("code");
				pstmt2 = con2.prepareStatement(SQL2);
				rs2 = pstmt2.executeQuery();
				
				while(rs2.next()) {
					
					ProductVO.setName(rs.getString("name"));
					ProductVO.setImg(rs.getString("img"));
					ProductVO.setCode(rs.getInt("code"));
					ProductVO.setPrice(rs.getInt("price"));
					
					SQL3 = "SELECT EXISTS (SELECT * FROM favorite_product WHERE name = '" + user + "' AND set_code = '" + rs2.getString("set_code") + "') AS success";
					pstmt3 = con3.prepareStatement(SQL3);
					rs3 = pstmt3.executeQuery();
					
					while(rs3.next()) {
						ProductVO.setFavorite(rs3.getInt("success"));
					}
					

					SQL = "SELECT * FROM store_product WHERE store_code = " + store_code + " AND product_code = " + rs.getInt("code");
					pstmt2 = con2.prepareStatement(SQL);
					rs3 = pstmt2.executeQuery();
					while(rs3.next()) {
						ProductVO.setSetcode(rs3.getString("set_code"));
					}
					
					productList.add(ProductVO);
				}
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
		return productList;
	}
	
	public int savefavorite(String user, String code, String setcode) {
		String SQL = "";
		
		SQL = "INSERT INTO favorite_product (name, product_code, set_code) VALUES (?,?,?)";
		
		try {

			pstmt = con.prepareStatement(SQL);
			pstmt.setString(1, user);
			pstmt.setString(2, code);
			pstmt.setString(3, setcode);
			return pstmt.executeUpdate();

		} catch (Exception e) {

			e.printStackTrace();

		}

		return -1;
	}
	
	public int unsavefavorite(String user, String code, String setcode) {
		String SQL = "";
		
		SQL = "DELETE FROM favorite_product WHERE name = ? AND set_code = ?";
		
		try {

			pstmt = con.prepareStatement(SQL);
			pstmt.setString(1, user);
			pstmt.setString(2, setcode);
			return pstmt.executeUpdate();

		} catch (Exception e) {

			e.printStackTrace();

		}

		return -1;
	}
	
	public ArrayList<ProductVO> favoritelist(String user, String store_code) {
		String SQL = "", SQL2 = "", SQL3 = "";
		ArrayList<ProductVO> productList = new ArrayList<ProductVO>();
		ArrayList<ProductVO> productList2 = new ArrayList<ProductVO>();
		ArrayList<ProductVO> productList_sum = new ArrayList<ProductVO>();

		SQL = "SELECT * FROM product";
		try {

			pstmt = con.prepareStatement(SQL);
			rs = pstmt.executeQuery();

			while(rs.next()) {
				ProductVO ProductVO = new ProductVO();

				SQL2 = "SELECT * FROM store_product WHERE store_code = " + store_code + " AND product_code = " + rs.getInt("code");
				pstmt2 = con2.prepareStatement(SQL2);
				rs2 = pstmt2.executeQuery();
				
				while(rs2.next()) {
					ProductVO.setName(rs.getString("name"));
					ProductVO.setImg(rs.getString("img"));
					ProductVO.setCode(rs.getInt("code"));
					ProductVO.setPrice(rs.getInt("price"));
					System.out.println(rs2.getString("set_code"));
					SQL3 = "SELECT EXISTS (SELECT * FROM favorite_product WHERE name = '" + user + "' AND set_code = '" + rs2.getString("set_code") + "') AS success";
					pstmt3 = con3.prepareStatement(SQL3);
					rs3 = pstmt3.executeQuery();
					
					while(rs3.next()) {
						ProductVO.setFavorite(rs3.getInt("success"));
						if(rs3.getInt("success") == 0) {
							productList.add(ProductVO);
						} else {
							productList2.add(ProductVO);
						}
					}
				}
			}
			
			productList_sum.addAll(productList2);
			productList_sum.addAll(productList);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return productList_sum;
	}
	
	public ArrayList<ProductVO> onlyfavoritelist(String user) {
		String SQL = "", SQL2 = "", SQL3 = "";
		ArrayList<ProductVO> productList = new ArrayList<ProductVO>();
		ArrayList<ProductVO> productList_sum = new ArrayList<ProductVO>();

		SQL = "SELECT * FROM product";
		try {

			pstmt = con.prepareStatement(SQL);
			rs = pstmt.executeQuery();

			while(rs.next()) {
				ProductVO ProductVO = new ProductVO();

				SQL2 = "SELECT * FROM store_product WHERE product_code = " + rs.getInt("code");
				pstmt2 = con2.prepareStatement(SQL2);
				rs2 = pstmt2.executeQuery();
				
				while(rs2.next()) {
					ProductVO.setName(rs.getString("name"));
					ProductVO.setImg(rs.getString("img"));
					ProductVO.setCode(rs.getInt("code"));
					ProductVO.setPrice(rs.getInt("price"));
					ProductVO.setSetcode(rs2.getString("set_code"));
					SQL3 = "SELECT EXISTS (SELECT * FROM favorite_product WHERE name = '" + user + "' AND set_code = '" + rs2.getString("set_code") + "') AS success";
					pstmt3 = con3.prepareStatement(SQL3);
					rs3 = pstmt3.executeQuery();
					
					while(rs3.next()) {
						ProductVO.setFavorite(rs3.getInt("success"));
						if(rs3.getInt("success") != 0) {
							productList.add(ProductVO);
						}
					}
				}
			}
			productList_sum.addAll(productList);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return productList_sum;
	}
	
	public ProductVO favoriteproduct(String user) {
		String SQL = "", SQL2 = "";
		ProductVO ProductVO = null;
		SQL = "SELECT * FROM product";
		try {

			pstmt = con.prepareStatement(SQL);
			rs = pstmt.executeQuery();

			while(rs.next()) {
				ProductVO = new ProductVO();
				ProductVO.setName(rs.getString("name"));
				ProductVO.setImg(rs.getString("img"));
				ProductVO.setCode(rs.getInt("code"));
				ProductVO.setPrice(rs.getInt("price"));
				
				SQL2 = "SELECT EXISTS (SELECT * FROM favorite_product WHERE name = '" + user + "' AND product_code = " + rs.getInt("code") + ") AS success";
				pstmt2 = con2.prepareStatement(SQL2);
				rs2 = pstmt2.executeQuery();
				
				while(rs2.next()) {
					ProductVO.setFavorite(rs2.getInt("success"));

					SQL = "SELECT * FROM favorite_product WHERE name = '" + user + "' AND product_code = " + rs.getInt("code");
					pstmt2 = con2.prepareStatement(SQL);
					rs3 = pstmt2.executeQuery();
					while(rs3.next()) {
						ProductVO.setSetcode(rs3.getString("set_code"));
					}
					if(rs2.getInt("success") == 1) {
						return ProductVO;
					}
				}
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
		return ProductVO;
	}
	
	public ProductVO productDetail(String code) {
		String SQL = "";
		ProductVO ProductVO = null;
		SQL = "SELECT * FROM product WHERE code = ?";
		try {

			pstmt = con.prepareStatement(SQL);
			pstmt.setString(1, code);
			rs = pstmt.executeQuery();

			while(rs.next()) {
				ProductVO = new ProductVO();
				ProductVO.setName(rs.getString("name"));
				ProductVO.setImg(rs.getString("img"));
				ProductVO.setCode(rs.getInt("code"));
				ProductVO.setPrice(rs.getInt("price"));
				ProductVO.setNewly(rs.getInt("newly"));
				ProductVO.setSale(rs.getInt("sale"));
				ProductVO.setSaleprice(rs.getInt("saleprice"));
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
		return ProductVO;
	}
	
	public int savebasket(String user, String code, String count, String setCode) {
		String SQL = "";
		
		SQL = "INSERT INTO basket (user, code, count, set_code) VALUES (?,?,?,?)";
		
		try {

			pstmt = con.prepareStatement(SQL);
			pstmt.setString(1, user);
			pstmt.setString(2, code);
			pstmt.setString(3, count);
			pstmt.setString(4, setCode);
			return pstmt.executeUpdate();

		} catch (Exception e) {

			e.printStackTrace();

		}

		return -1;
	}
	
	public ArrayList<ProductVO> basketList(String user) {
		String SQL = "";
		ProductVO ProductVO = new ProductVO();
		ArrayList<ProductVO> productList = new ArrayList<ProductVO>();
		
		SQL = "SELECT * FROM basket WHERE user = ?";
		
		try {

			pstmt = con.prepareStatement(SQL);
			pstmt.setString(1, user);
			rs = pstmt.executeQuery();
			
			while(rs.next()) {
				SQL = "SELECT * FROM product WHERE code = ?";
				pstmt = con.prepareStatement(SQL);
				pstmt.setInt(1, rs.getInt("code"));
				
				rs2 = pstmt.executeQuery();
				
				while(rs2.next()) {
					ProductVO = new ProductVO();
					ProductVO.setIdx(rs.getInt("idx"));
					ProductVO.setName(rs2.getString("name"));
					ProductVO.setImg(rs2.getString("img"));
					ProductVO.setCode(rs2.getInt("code"));
					ProductVO.setPrice(rs2.getInt("price"));
					ProductVO.setNewly(rs2.getInt("newly"));
					ProductVO.setSale(rs2.getInt("sale"));
					ProductVO.setSaleprice(rs2.getInt("saleprice"));
					ProductVO.setCount(rs.getInt("count"));
					ProductVO.setSetcode(rs.getString("set_code"));
					
					productList.add(ProductVO);
				}
			}
		} catch (Exception e) {

			e.printStackTrace();

		}

		return productList;
	}
	
	public int clearBasket(String user) {
		String SQL = "";
		
		SQL = "DELETE FROM basket WHERE user = ?";
		
		try {

			pstmt = con.prepareStatement(SQL);
			pstmt.setString(1, user);
			return pstmt.executeUpdate();
			
		} catch (Exception e) {

			e.printStackTrace();

		}
		
		return -1;
	}
	
	public int deleteProduct(String user, String pcode) {
		String SQL = "";
		
		SQL = "DELETE FROM basket WHERE user = ? AND " + pcode;
		
		try {

			pstmt = con.prepareStatement(SQL);
			pstmt.setString(1, user);
			return pstmt.executeUpdate();
			
		} catch (Exception e) {

			e.printStackTrace();

		}
		
		return -1;
	}
	
	public ArrayList<ProductVO> purchaseList(String user, ArrayList<PurchaseVO> purchaseList) {
		String SQL = "";
		ArrayList<ProductVO> productList = new ArrayList<ProductVO>();

		for (PurchaseVO purchase : purchaseList) {
			
			SQL = "SELECT * FROM product WHERE code = ?";
			
			try {
				pstmt = con.prepareStatement(SQL);
				pstmt.setInt(1, purchase.getProduct_code());
				rs = pstmt.executeQuery();
				
				while(rs.next()) {
					ProductVO ProductVO = new ProductVO();
					ProductVO.setIdx(purchase.getIdx());
					ProductVO.setName(rs.getString("name"));
					ProductVO.setImg(rs.getString("img"));
					ProductVO.setCode(rs.getInt("code"));
					ProductVO.setPrice(rs.getInt("price"));
					ProductVO.setNewly(rs.getInt("newly"));
					ProductVO.setSale(rs.getInt("sale"));
					ProductVO.setSaleprice(rs.getInt("saleprice"));
					ProductVO.setCount(purchase.getCount());
					
					SQL = "SELECT * FROM store WHERE code = ?";
					pstmt = con.prepareStatement(SQL);
					pstmt.setInt(1, purchase.getStore_code());
					rs2 = pstmt.executeQuery();
					
					if(rs2.next()) {ProductVO.setSalestore(rs2.getString("store_name"));}
					
					productList.add(ProductVO);
				}
				
			} catch (Exception e) {
				// TODO: handle exception
			}
			
		}

		return productList;
	}
	
	public ArrayList<ProductVO> paymentList(String user) {
		String SQL = "";
		ArrayList<ProductVO> productList = new ArrayList<ProductVO>();
		
		SQL = "SELECT * FROM paymentlist WHERE name = ?";
		
		try {
			pstmt = con.prepareStatement(SQL);
			pstmt.setString(1, user);
			rs = pstmt.executeQuery();
			
			while(rs.next()) {
				ProductVO ProductVO = new ProductVO();
				
				ProductVO.setIdx(rs.getInt("idx"));
				ProductVO.setCount(rs.getInt("count"));
				
				SQL = "SELECT * FROM product WHERE code = ?";
				pstmt = con.prepareStatement(SQL);
				pstmt.setInt(1, rs.getInt("product_code"));
				rs2 = pstmt.executeQuery();
				if(rs2.next()) {
					ProductVO.setImg(rs2.getString("img"));
					ProductVO.setName(rs2.getString("name"));
					ProductVO.setPrice(rs2.getInt("price"));
					ProductVO.setNewly(rs2.getInt("newly"));
					ProductVO.setSale(rs2.getInt("sale"));
					ProductVO.setSaleprice(rs2.getInt("saleprice"));
				}
				
				SQL = "SELECT * FROM store WHERE code = ?";
				pstmt = con.prepareStatement(SQL);
				pstmt.setInt(1, rs.getInt("store_code"));
				rs2 = pstmt.executeQuery();
				if(rs2.next()) {
					ProductVO.setSalestore(rs2.getString("store_name"));
				}
				
				productList.add(ProductVO);
			}
			
		} catch (Exception e) {
			// TODO: handle exception
		}
		
		return productList;
	}
	
	public ArrayList<ProductVO> searchProduct(String search, String user) {
		String SQL = "", SQL2 = "", SQL3 = "";
		ArrayList<ProductVO> productList = new ArrayList<ProductVO>();
		SQL = "SELECT * FROM product WHERE name LIKE ?";
		try {

			pstmt = con.prepareStatement(SQL);
			pstmt.setString(1, "%"+search+"%");
			rs = pstmt.executeQuery();

			while(rs.next()) {
				ProductVO ProductVO = new ProductVO();
				
				ProductVO.setName(rs.getString("name"));
				ProductVO.setImg(rs.getString("img"));
				ProductVO.setCode(rs.getInt("code"));
				
				SQL2 = "SELECT * FROM store_product WHERE product_code = ?";
				pstmt = con2.prepareStatement(SQL2);
				pstmt.setInt(1, rs.getInt("code"));
				rs2 = pstmt.executeQuery();
				
				if(rs2.next()) {
					ProductVO.setSetcode(rs2.getString("set_code"));
					
					if(user != null) {
						SQL3 = "SELECT EXISTS (SELECT * FROM favorite_product WHERE name = ? AND product_code = ?) AS success";
						pstmt = con3.prepareStatement(SQL3);
						pstmt.setString(1, user);
						pstmt.setInt(2, rs.getInt("code"));
						rs3 = pstmt.executeQuery();
						
						while(rs3.next()) {
							ProductVO.setFavorite(rs3.getInt("success"));
						}
					} else {
						ProductVO.setFavorite(0);
					}
					
					productList.add(ProductVO);
				}
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
		return productList;
	}
	
	public ArrayList<ProductVO> salelist(String user) {
		String SQL = "", SQL2 = "", SQL3 = "";
		ArrayList<ProductVO> productList = new ArrayList<ProductVO>();
		ArrayList<ProductVO> productList2 = new ArrayList<ProductVO>();
		ArrayList<ProductVO> productList_sum = new ArrayList<ProductVO>();

		SQL = "SELECT * FROM product WHERE sale = 1";
		try {

			pstmt = con.prepareStatement(SQL);
			rs = pstmt.executeQuery();

			while(rs.next()) {
				ProductVO ProductVO = new ProductVO();

				SQL2 = "SELECT * FROM store_product WHERE product_code = " + rs.getInt("code");
				pstmt2 = con2.prepareStatement(SQL2);
				rs2 = pstmt2.executeQuery();
				
				while(rs2.next()) {
					ProductVO.setName(rs.getString("name"));
					ProductVO.setImg(rs.getString("img"));
					ProductVO.setCode(rs.getInt("code"));
					ProductVO.setPrice(rs.getInt("price"));
					System.out.println(rs2.getString("set_code"));
					SQL3 = "SELECT EXISTS (SELECT * FROM favorite_product WHERE name = ? AND product_code = ?) AS success";
					pstmt3 = con3.prepareStatement(SQL3);
					pstmt3.setString(1, user);
					pstmt3.setInt(2, rs.getInt("code"));
					rs3 = pstmt3.executeQuery();
					
					while(rs3.next()) {
						ProductVO.setFavorite(rs3.getInt("success"));
						if(rs3.getInt("success") == 0) {
							productList.add(ProductVO);
						} else {
							productList2.add(ProductVO);
						}
					}
				}
			}
			
			productList_sum.addAll(productList2);
			productList_sum.addAll(productList);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return productList_sum;
	}
	
	public ArrayList<ProductVO> newlylist(String user) {
		String SQL = "", SQL2 = "", SQL3 = "";
		ArrayList<ProductVO> productList = new ArrayList<ProductVO>();
		ArrayList<ProductVO> productList2 = new ArrayList<ProductVO>();
		ArrayList<ProductVO> productList_sum = new ArrayList<ProductVO>();

		SQL = "SELECT * FROM product WHERE newly = 1";
		try {

			pstmt = con.prepareStatement(SQL);
			rs = pstmt.executeQuery();

			while(rs.next()) {
				ProductVO ProductVO = new ProductVO();

				SQL2 = "SELECT * FROM store_product WHERE product_code = " + rs.getInt("code");
				pstmt2 = con2.prepareStatement(SQL2);
				rs2 = pstmt2.executeQuery();
				
				while(rs2.next()) {
					ProductVO.setName(rs.getString("name"));
					ProductVO.setImg(rs.getString("img"));
					ProductVO.setCode(rs.getInt("code"));
					ProductVO.setPrice(rs.getInt("price"));
					System.out.println(rs2.getString("set_code"));
					SQL3 = "SELECT EXISTS (SELECT * FROM favorite_product WHERE name = ? AND product_code = ?) AS success";
					pstmt3 = con3.prepareStatement(SQL3);
					pstmt3.setString(1, user);
					pstmt3.setInt(2, rs.getInt("code"));
					rs3 = pstmt3.executeQuery();
					
					while(rs3.next()) {
						ProductVO.setFavorite(rs3.getInt("success"));
						if(rs3.getInt("success") == 0) {
							productList.add(ProductVO);
						} else {
							productList2.add(ProductVO);
						}
					}
				}
			}
			
			productList_sum.addAll(productList2);
			productList_sum.addAll(productList);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return productList_sum;
	}
	
	public ProductVO newproduct() {
		String SQL = "";
		ProductVO ProductVO = null;
		SQL = "SELECT * FROM product WHERE newly = 1";
		try {

			pstmt = con.prepareStatement(SQL);
			rs = pstmt.executeQuery();

			if(rs.next()) {
				SQL = "SELECT * FROM store_product WHERE product_code = ?";
				pstmt = con.prepareStatement(SQL);
				pstmt.setInt(1, rs.getInt("code"));
				rs2 = pstmt.executeQuery();
				
				if(rs2.next()) {
					ProductVO = new ProductVO();
					ProductVO.setName(rs.getString("name"));
					ProductVO.setImg(rs.getString("img"));
					ProductVO.setSetcode(rs2.getString("set_code"));
				}
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
		return ProductVO;
	}
	
	public ProductVO saleproduct() {
		String SQL = "";
		ProductVO ProductVO = null;
		SQL = "SELECT * FROM product WHERE sale = 1";
		try {

			pstmt = con.prepareStatement(SQL);
			rs = pstmt.executeQuery();

			if(rs.next()) {
				SQL = "SELECT * FROM store_product WHERE product_code = ?";
				pstmt = con.prepareStatement(SQL);
				pstmt.setInt(1, rs.getInt("code"));
				rs2 = pstmt.executeQuery();
				
				if(rs2.next()) {
					ProductVO = new ProductVO();
					ProductVO.setName(rs.getString("name"));
					ProductVO.setImg(rs.getString("img"));
					ProductVO.setSetcode(rs2.getString("set_code"));
				}
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
		return ProductVO;
	}
}
