<%@page import="com.pjt.cstore.CommunityVO"%>
<%@page import="com.pjt.cstore.CommunityDAO"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html lang="ko">

<%
	String ceo = (String) session.getAttribute("ceo");
	String user = (String) session.getAttribute("user");
	String author = "";
	if (ceo != null) {
		author = ceo;
	} else if (user != null) {
		author = user;
	} else {
		response.sendRedirect("/");
	}

	CommunityDAO communityDAO = new CommunityDAO();
	String idx = request.getParameter("idx");
	CommunityVO communityVO = communityDAO.detail(idx);
%>

<!-- Head 삽입 -->
<jsp:include page="/include/head.jsp" />

<body>
	<div id="page-wrapper">

		<!-- Header 삽입 -->
		<jsp:include page="/include/header.jsp" />

		<!-- Nav 삽입 -->
		<jsp:include page="/include/nav.jsp" />

		<!-- Main -->
		<section id="main">
			<div class="container">
				<div class="col-12">

					<div class="content">

						<!-- Content -->
						<article class="box page-content">
							<header>
								<h2>
									커뮤니티 -
									<%=communityVO.getTitle()%></h2>
							</header>
						</article>
						<!-- Features -->
						<section class="box features mgl50p">
							<div>
								<div class="row">
									<table class="col-12 mgt05 detail">
										<caption>커뮤니티 게시글 리스트</caption>
										<colgroup>
											<col width="20%" />
											<col width="" />
										</colgroup>
										<thead>
										</thead>
										<tbody>
											<tr>
												<th>작성자</th>
												<td><%=communityVO.getAuthor()%></td>
											</tr>
											<tr>
												<th>제목</th>
												<td><%=communityVO.getTitle()%></td>
											</tr>
											<tr>
												<th>날짜</th>
												<td><%=communityVO.getDate()%></td>
											</tr>
											<tr>
												<th>내용</th>
												<td><%=communityVO.getContent()%></td>
											</tr>
										</tbody>
									</table>


									<div class="col-12">
										<form action="/CommunityController" method="POST"
											class="form board" id="deleteform">
											<ul class="actions">
												<li><a href="javascript:history.back()"
													class="button alt">이전</a></li>
												<%
													if (communityVO.getAuthor().equals(author)) {
												%>

												<li><a href="./updateForm.jsp?idx=<%=idx%>"
													class="button">수정</a></li>

												<li><button type="button" onClick="deleteboard()"
														class="button">삭제</button></li>
												<%
													}
												%>
												<li><a href="./replyForm.jsp?idx=<%=idx%>"
													class="button">답글 작성</a></li>
											</ul>
										</form>
									</div>
								</div>
							</div>
						</section>

					</div>

				</div>
			</div>
		</section>

		<!-- Footer 삽입 -->
		<jsp:include page="/include/footer.jsp" />
		<script>

			function submitWrite() {

				/* 입력 검증 */
				if ($("#title").val() == "") {
					alert('제목을 입력하세요.');
					return false;
				} else if ($("#contents").val() == "") {
					alert('내용을 입력하세요.');
					return false;
				}
				
				$('.board').append($('<input name="type" id="type" style="display:none"/>').val("write"));
				$('.board').append($('<input name="author" id="author" style="display:none"/>').val("<%=author %>"));

				$("#writeform").submit();
			}

			function deleteboard() {
				$('.board').append($('<input name="type" id="type" style="display:none"/>').val("delete"));
				$('.board').append($('<input name="idx" id="idx" style="display:none"/>').val(<%=idx%>));
				$("#deleteform").submit();
			}
		</script>
	</div>
</body>

</html>