<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html lang="ko">

<%
	String user = (String) session.getAttribute("user");
	String author = "";
	if (user != null) {
		author = user;
	} else {
		response.sendRedirect("/");
	}
%>

<!-- Head 삽입 -->
<jsp:include page="/include/head.jsp" />

<body>
	<div id="page-wrapper">

		<!-- Header 삽입 -->
		<jsp:include page="/include/header.jsp" />

		<!-- Nav 삽입 -->
		<jsp:include page="/include/nav.jsp" />

		<!-- Main -->
		<section id="main">
			<div class="container">
				<div class="col-12">

					<div class="content">

						<!-- Content -->
						<article class="box page-content">

							<header>
								<h2>고객센터 문의하기</h2>
							</header>

							<!-- Features -->
							<section class="box features">
								<div>
									<form action="/FaqController" method="POST" class="form board"
										id="contactform">
										<div class="row">
											<div class="col-12 row mgt05">
												<label for="title" class="col-3">제목</label>
												<input type="text" id="title" name="title" class="col-9" required />
											</div>
											<div class="col-12 row mgt05">
												<label for="category" class="col-3">카테고리</label>
												<select id="category" name="category" class="col-9 select_category">
													<option value="0">선택</option>
													<option value="1">결제</option>
													<option value="2">멤버쉽</option>
													<option value="3">상품</option>
													<option value="4">점포</option>
												</select>
											</div>
											<div class="col-12 row mgt05">
												<label for="contents" class="col-3">내용</label>
												<textarea name="contents" id="contents" cols="30" rows="10" class="col-9 pd1em" required></textarea>
											</div>

											<div class="col-12">
												<ul class="actions">
													<li><a href="javascript:history.back()"
														class="button alt">이전</a></li>
													<li><button type="button" onClick="submitWrite()"
															class="button">문의하기</button></li>
												</ul>
											</div>

										</div>
									</form>
								</div>
							</section>

						</article>

					</div>

				</div>
			</div>
		</section>

		<!-- Footer 삽입 -->
		<jsp:include page="/include/footer.jsp" />
		<script>

			function submitWrite() {
				/* 입력 검증 */
				if ($("#title").val() == "") {
					alert('제목을 입력하세요.');
					return false;
				} else if ($("#contents").val() == "") {
					alert('내용을 입력하세요.');
					return false;
				} else if ($("#category").val() == "0") {
					alert('항목을 골라주세요.');
					return false;
				}
				
				alert('문의가 등록되었습니다. 너만의 편의점 더 완벽한 서비스를 약속합니다.');
				location.href='/';
			}
		</script>
	</div>
</body>

</html>