<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html lang="ko">
<%
	String user = (String)session.getAttribute("user");
%>
<!-- Head 삽입 -->
<jsp:include page="/include/head.jsp"/>

<body>
	<div id="page-wrapper">

		<!-- Header 삽입 -->
		<jsp:include page="/include/header.jsp" />

		<!-- Nav 삽입 -->
		<jsp:include page="/include/nav.jsp" />

		<!-- Main -->
		<section id="main">
			<div class="container">
			
				<div class="col-12">
					<div class="content">
						<!-- Content -->
						<article class="box page-content">
							<!-- Features -->
							<section class="box features">
								<div>
									<div class="row">
										<div class="col-6">

											<!-- Feature -->
											<section class="box feature">
												<h2>
													<a href="./faq.jsp" class="image featured joinBtn">
														FAQ
													</a>
												</h2>
											</section>

										</div>
										<div class="col-6">

											<!-- Feature -->
											<section class="box feature">
												<h2>
													<a href="./contactForm.jsp" class="image featured joinBtn" onclick="return loginCheck();">
														고객 문의
													</a>
												</h2>
											</section>
										</div>
									</div>
									<div class="row">
										<div class="col-12">

											<!-- Feature -->
											<section class="box feature">
												<p class="contact_phone">
													고객센터 문의<br />
													<br />
													<span class="first">031-XXXX-XXXX</span>
													<span>1577-XXXX</span>
												</p>
											</section>

										</div>
									</div>
								</div>
							</section>
						</article>
					</div>
				</div>
			</div>
		</section>

		<!-- Footer 삽입 -->
		<jsp:include page="/include/footer.jsp" />

	</div>
	<script>
		function loginCheck() {
			<% if(user == null) { %>
				alert("로그인이 필요합니다.");
				return false;
			<% } %>
		}
	</script>
</body>

</html>