<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ page import="java.io.PrintWriter"%>


<!-- Nav -->
<%
	String ceo = (String) session.getAttribute("ceo");
	String user = (String) session.getAttribute("user");
	String url = request.getRequestURL().toString();
%>
<nav id="nav">
	<ul class="gnb">
		<li><a href="/">Home</a></li>
		<li><a href="/store">Store</a></li>
		<%
			if (ceo != null || user != null) {
		%>
		<li><a href="/community">Community</a>
			<ul>
				<li><a href="/community">List</a></li>
				<li><a href="/community/writeForm.jsp">Write</a></li>
			</ul></li>
		<%
			}
		%>
	</ul>

	<%
		boolean ceoCheck = url.contains("/ceo/");
		if (ceoCheck) {
			String id = (String) session.getAttribute("user");
	%>
	<%
		if (id == null || id.equals("")) {
	%>
	<div class="login_box left">
		<button class="ceo_btn" onclick="location.href='/'">CUSTOMER
			SITE</button>
	</div>
	<%
		}
	%>
	<div class="login_box right">
		<%
			if (id == null || id.equals("")) {
		%>
		<label for="id">ID: </label> <input type="text" id="id" name="id" />
		<label for="pw">PW: </label> <input type="password" id="pw" name="pw" />
		<button class="login_btn" onClick="submitCeoLogin()">LOGIN</button>
		<button class="join_btn" onclick="location.href='./join/joinForm.jsp'">JOIN</button>
		<%
			} else {
		%>
		<p class="loginInfo">
			ID:
			<%=id%></p>
		<button class="logout_btn"
			onClick="location.href='/include/logout.jsp'">LOGOUT</button>
		<%
			}
		%>
	</div>

	<script>
		function submitCeoLogin() {

			$('.login_box')
					.append(
							$(
									'<input name="logintype" id="logintype" style="display:none"/>')
									.val('login'));

			/* 입력 검증 */
			if ($("#id").val() == "") {
				alert('아이디를 입력하세요.');
				return false;
			} else if ($("#pw").val() == "") {
				alert('비밀번호를 입력하세요.');
				return false;
			}

			location.href = "/CeoController?id=" + $("#id").val() + "&pw="
					+ $("#pw").val() + "&controller=" + $("#logintype").val();

		}
	</script>

	<%
		} else {
			String id = (String) session.getAttribute("user");
	%>
	<%
		if (id == null || id.equals("")) {
	%>
	<div class="login_box left">
		<button class="ceo_btn" onclick="location.href='/ceo/index.jsp'">CEO
			SITE</button>
	</div>
	<%
		}
	%>
	<div class="login_box right">
		<%
			if (id == null || id.equals("")) {
		%>
		<label for="id">ID: </label> <input type="text" id="id" name="id" />
		<label for="pw">PW: </label> <input type="password" id="pw" name="pw" />
		<button class="login_btn" onClick="submitLogin()">LOGIN</button>
		<button class="join_btn" onclick="location.href='/join/joinMain.jsp'">JOIN</button>
		<%
			} else {
		%>
		<p class="loginInfo">
			ID:
			<%=id%></p>
		<button class="logout_btn"
			onClick="location.href='/include/logout.jsp'">LOGOUT</button>
		<button class="mypage_btn"
			onclick="location.href='/mypage'">Mypage</button>
		<%
			}
		%>
	</div>

	<script>
		function submitLogin() {

			$('.login_box')
					.append(
							$(
									'<input name="logintype" id="logintype" style="display:none"/>')
									.val('login'));

			/* 입력 검증 */
			if ($("#id").val() == "") {
				alert('아이디를 입력하세요.');
				return false;
			} else if ($("#pw").val() == "") {
				alert('비밀번호를 입력하세요.');
				return false;
			}

			location.href = "/CustomerController?id=" + $("#id").val() + "&pw="
					+ $("#pw").val() + "&controller=" + $("#logintype").val();

		}
	</script>
	<%
		}
	%>
	<script>
		$(function() {
	<%if (url.contains("/community")) {%>
		$(".gnb > li").eq(2).addClass('current');
	<%} else if (url.contains("/store")) {%>
		$(".gnb > li").eq(1).addClass('current');
	<%} else {%>
		$(".gnb > li").eq(0).addClass('current');
	<%}%>
		});
	</script>
</nav>