<%@page import="java.util.List"%>
<%@page import="java.util.ArrayList"%>
<%@page import="com.pjt.cstore.StoreDAO"%>
<%@page import="com.pjt.cstore.StoreVO"%>
<%@page import="com.pjt.cstore.ProductDAO"%>
<%@page import="com.pjt.cstore.ProductVO"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html lang="ko">

<%
	String ceo = (String) session.getAttribute("ceo");
	String user = (String) session.getAttribute("user");

	if (ceo != null && ceo.equals("1")) {
		response.sendRedirect("/ceo");
	}

	StoreDAO storeDAO = new StoreDAO();
	StoreVO store = null;
	store = storeDAO.favoritestore(user);

	ProductDAO productDAO = new ProductDAO();
	ProductVO product,newProduct,saleProduct = null;
	
	product = productDAO.favoriteproduct(user);
	newProduct = productDAO.newproduct();
	saleProduct = productDAO.saleproduct();
%>
<!-- Head 삽입 -->
<jsp:include page="/include/head.jsp" />

<body class="homepage is-preload">

	<div id="page-wrapper">

		<!-- Header 삽입 -->
		<jsp:include page="/include/header.jsp" />

		<!-- Nav 삽입 -->
		<jsp:include page="/include/nav.jsp" />

		<!-- Main -->
		<section id="main" class="search">
			<div class="container">
				<div class="row gtr-200">

					<div class="col-12">
						<!-- Highlight -->

						<section class="box highlight search_box">
							<form action="/store/search.jsp" method="GET" class="SearchForm">
								<select name="searchType" id="searchType">
									<option value="store">옵션선택</option>
									<option value="store">매장찾기</option>
									<option value="product">물품검색</option>
								</select> <input type="text" class="search" name="search" title="검색" />
								<button type="submit" class="search_btn">SEARCH</button>
							</form>
						</section>

					</div>

					<div class="col-12 itemThumbnail">
						<!-- Features -->
						<section class="box features">
							<div>
								<div class="row">
									<div class="col-6 col-6-medium col-12-small">

										<!-- Feature -->
										<section class="box feature">
											<% if(newProduct != null) { %>
											<a href="/store/newproduct.jsp" class="image featured main_favorite"><img class="main_favorite"
												src="/assets/img/<%=newProduct.getImg()%>" alt="" /></a>
											<% } else { %>
											<a href="/store/newproduct.jsp" class="image featured"><img
												src="/assets/img/pic01.jpg" alt="" /></a>
											<% } %>
											<h3>
												<a href="/store/newproduct.jsp">+ 신규 상품 더보기</a>
											</h3>
											
										</section>

									</div>
									<div class="col-6 col-6-medium col-12-small">

										<!-- Feature -->
										<section class="box feature">
											<% if(saleProduct != null) { %>
											<a href="/store/newproduct.jsp" class="image featured main_favorite"><img class="main_favorite"
												src="/assets/img/<%=newProduct.getImg()%>" alt="" /></a>
											<% } else { %>
											<a href="/store/newproduct.jsp" class="image featured"><img
												src="/assets/img/pic01.jpg" alt="" /></a>
											<% } %>
											<h3>
												<a href="/store/saleproduct.jsp">+ 할인 상품 더보기</a>
											</h3>
										</section>

									</div>
								</div>
							</div>
						</section>

					</div>
					<%
						if (user != null) {
					%>
					<div class="col-12">

						<!-- Features -->
						<section class="box features">
							<h2 class="major">
								<span>즐겨찾기</span>
							</h2>
							<div>
								<div class="row">
									<div class="col-6 col-6-medium col-12-small">
										<%
											if (store.getFavorite() == 0) {
										%>
										<!-- Feature -->
										<section class="box feature">
											<a href="#" class="image featured main_favorite"><img
												src="/assets/img/pic01.jpg" alt="" /></a>
											<h3>
												<a href="#">편의점</a>
											</h3>
										</section>
										<%
											} else {
										%>
										<script>
													function locationSet(id, address, name) {
														$('.dim').css('display', 'block');
														var mapContainer = document.getElementById(id), // 지도를 표시할 div 
														mapOption = {
															center : new kakao.maps.LatLng(33.450701, 126.570667), // 지도의 중심좌표
															level : 3
														// 지도의 확대 레벨
														};
												
														// 지도를 생성합니다    
														var map = new kakao.maps.Map(mapContainer, mapOption);
												
														// 주소-좌표 변환 객체를 생성합니다
														var geocoder = new kakao.maps.services.Geocoder();
												
														// 주소로 좌표를 검색합니다
														geocoder.addressSearch(
															address,
															function(result, status) {
												
																// 정상적으로 검색이 완료됐으면 
																if (status === kakao.maps.services.Status.OK) {
												
																	var coords = new kakao.maps.LatLng(
																	result[0].y, result[0].x);
												
																	// 결과값으로 받은 위치를 마커로 표시합니다
																	var marker = new kakao.maps.Marker({
																		map : map,
																		position : coords
																	});
												
																	// 인포윈도우로 장소에 대한 설명을 표시합니다
																	var infowindow = new kakao.maps.InfoWindow(
																		{
																			content : '<div style="width:150px;text-align:center;padding:6px 0;">'+address+'</div>'
																		});
																	infowindow.open(map, marker);
												
																	// 지도의 중심을 결과값으로 받은 위치로 이동시킵니다
																	map.setCenter(coords);
																	$('input[name=locChecker]').val("check");
																}
																			
																			
															});
												
													}
												</script>
										<!-- Feature -->
										<section class="box feature">
											<a href="/store/product.jsp?code=<%=store.getCode()%>"
												class="image featured main_favorite"
												id="map<%=store.getCode()%>"></a>
											<h3>
												<a href="/store/product.jsp?code=<%=store.getCode()%>"><%=store.getName()%></a>
											</h3>
										</section>

										<script>
												locationSet("map<%=store.getCode()%>", "<%=store.getAddress()%>", "<%=store.getName()%>");
										</script>
										<%
											}
										%>

									</div>
									<div class="col-6 col-6-medium col-12-small">
										<%
											if (product.getFavorite() == 0) {
										%>
										<!-- Feature -->
										<section class="box feature">
											<a href="#" class="image featured"><img
												class="main_favorite" src="/assets/img/pic02.jpg" alt="" /></a>
											<h3>
												<a href="#">물품</a>
											</h3>
										</section>
										<%
											} else {
										%>
										<!-- Feature -->
										<section class="box feature">
											<a
												href="/store/productdetail.jsp?code=<%=product.getCode()%>&setcode=<%=product.getSetcode()%>"
												class="image featured main_favorite"><img
												class="main_favorite"
												src="/assets/img/<%=product.getImg()%>"
												alt="<%=product.getName()%>" /></a>
											<h3>
												<a
													href="/store/productdetail.jsp?code=<%=product.getCode()%>&setcode=<%=product.getSetcode()%>"><%=product.getName()%></a>
											</h3>
										</section>
										<%
											}
										%>
									</div>
								</div>
							</div>
						</section>

					</div>
					<%
						}
					%>
				</div>
			</div>
		</section>

		<!-- Footer 삽입 -->
		<jsp:include page="/include/footer.jsp" />

	</div>
</body>

</html>