<%@page import="com.pjt.cstore.CustomerDAO"%>
<%@page import="com.pjt.cstore.CustomerVO"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html lang="ko">

<%
	String user = (String) session.getAttribute("user");

	if (user == null) {
		response.sendRedirect("/");
	}

	CustomerVO customerVO = new CustomerVO();
	CustomerDAO customerDAO = new CustomerDAO();

	customerVO = customerDAO.searchAll(user);
%>

<!-- Head 삽입 -->
<jsp:include page="/include/head.jsp" />

<body>
	<div id="page-wrapper">

		<!-- Header 삽입 -->
		<jsp:include page="/include/header.jsp" />

		<!-- Nav 삽입 -->
		<jsp:include page="/include/nav.jsp" />

		<!-- Main -->
		<section id="main">
			<div class="container">
				<div class="col-12">

					<div class="content">

						<!-- Content -->
						<article class="box page-content">
							<header>
								<h2>내 정보</h2>
							</header>
						</article>
						<!-- Features -->
						<section class="box features mgl50p">
							<div>
								<div class="row">
									<table class="col-12 mgt05 detail">
										<caption>커뮤니티 게시글 리스트</caption>
										<colgroup>
											<col width="20%" />
											<col width="" />
										</colgroup>
										<thead>
										</thead>
										<tbody>
											<tr>
												<th>ID</th>
												<td><%=customerVO.getId() %></td>
											</tr>
											<tr>
												<th>이름</th>
												<td><%=customerVO.getName() %></td>
											</tr>
											<tr>
												<th>전화번호</th>
												<td><%=customerVO.getPhone()%></td>
											</tr>
											<tr>
												<th>주소</th>
												<td><%=customerVO.getAddress()%></td>
											</tr>
											<tr>
												<th>마일리지</th>
												<td><%=customerVO.getMileage()%></td>
											</tr>
										</tbody>
									</table>


									<div class="col-12">
										<form action="/CommunityController" method="POST"
											class="form board" id="deleteform">
											<ul class="actions">
												<li><a href="javascript:history.back()"
													class="button alt">이전</a></li>
											</ul>
										</form>
									</div>
								</div>
							</div>
						</section>

					</div>

				</div>
			</div>
		</section>

		<!-- Footer 삽입 -->
		<jsp:include page="/include/footer.jsp" />
	</div>
</body>

</html>