<%@page import="com.pjt.cstore.PurchaseVO"%>
<%@page import="com.pjt.cstore.PurchaseDAO"%>
<%@page import="java.util.List"%>
<%@page import="java.util.ArrayList"%>
<%@page import="com.pjt.cstore.ProductDAO"%>
<%@page import="com.pjt.cstore.ProductVO"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html lang="ko">

<%
	String user = (String) session.getAttribute("user");

	if (user == null) {
		response.sendRedirect("/");
	}

	ProductDAO productDAO = new ProductDAO();
	PurchaseDAO purchaseDAO = new PurchaseDAO();
	
	ArrayList<PurchaseVO> purchaseList = null;
	ArrayList<ProductVO> productList = null;
	
	purchaseList = purchaseDAO.getList(user);
	productList = productDAO.purchaseList(user,purchaseList);
%>

<!-- Head 삽입 -->
<jsp:include page="/include/head.jsp" />

<body>
	<div id="page-wrapper">

		<!-- Header 삽입 -->
		<jsp:include page="/include/header.jsp" />

		<!-- Nav 삽입 -->
		<jsp:include page="/include/nav.jsp" />

		<!-- Main -->
		<section id="main">
			<div class="container">
				<form action="/PurchaseController" method="POST" id="purchaseForm">
					<div class="row p_relative">
						<div class="col-3">
							<div class="sidebar">

								<!-- Sidebar -->

								<!-- Recent Posts -->
								<section>
									<h2 class="major">
										<span>구매하기</span>
									</h2>
								</section>

							</div>
						</div>
						<div class="col-12 productDetail">
							<div class="row p_relative borderBottom borderTop mgl50p">
								<table class="mgt50p basket">
									<caption>구매하기</caption>
									<colgroup>
										<col width="20%" />
										<col width="*" />
										<col width="15%" />
										<col width="10%" />
										<col width="15%" />
									</colgroup>
									<thead>
										<tr>
											<th>점포명</th>
											<th>상품명</th>
											<th>가격</th>
											<th>수량</th>
											<th>합계</th>
										</tr>
									</thead>
									<tbody>
										<%
											if (productList.size() != 0) {
										%>
										<%
											for (ProductVO product : productList) {
										%>
										<tr class="tCenter">
											<td><input type="checkbox" name="checkItem"
												class="chkbox" id="<%=product.getIdx()%>"
												value="<%=product.getIdx()%>" /></td>
											<td><img src="/assets/img/<%=product.getImg()%>"
												alt="<%=product.getName()%>" class="basket_img" /><%=product.getName()%>
											</td>
											<%
												if (product.getSale() != 1) {
											%>
											<td class="total_price"><%=product.getPrice()%>원</td>
											<%
												} else {
											%>
											<td class="total_price"><span class="sale mg0"><%=product.getPrice()%>원</span><br><%=product.getPrice() - product.getSaleprice()%>원</td>
											<%
												}
											%>
											<td class="product_count"><%=product.getCount()%>개</td>

											<%
												if (product.getSale() != 1) {
											%>
											<td class="sale_price"><%=product.getPrice() * product.getCount()%>원</td>
											<%
												} else {
											%>
											<td class="sale_price"><%=(product.getPrice() - product.getSaleprice()) * product.getCount()%>원</td>
											<%
												}
											%>
										</tr>
										<%
											}
										%>
										<%
											}
										%>
									</tbody>
								</table>
							</div>
						</div>

						<div class="f_parent w100">
							<button type="button" class="fr clear_basket mgl50p" onClick="resetpurchase()">이전페이지(구매목록 삭제)</button>
							<button type="button" class="fr delete_basket" onClick="deletepurchase()">선택상품
								삭제</button>
						</div>

						<div class="col-12 productDetail">
							<div class="row p_relative mgl50p">
								<table class="mgt50p basket_2">
									<caption>구매하기</caption>
									<colgroup>
										<col width="33%" />
										<col width="33%" />
										<col width="33%" />
									</colgroup>
									<thead>
										<tr>
											<th>총 상품금액</th>
											<th>총 할인금액</th>
											<th>결제예정금액</th>
										</tr>
									</thead>
									<tbody>
										<tr class="tCenter">
											<td class="sum_total_price">0원</td>
											<td class="sum_sale_price">0원</td>
											<td class="final_price">0원</td>
										</tr>
									</tbody>
								</table>
							</div>
						</div>

						<div class="col-12">
							<input type="hidden" name="price" value="0">
							<input type="hidden" name="type" value="purchase">
							<input type="hidden" name="id" value="<%=user%>">
							<ul class="actions">
								<li><button type="button" class="button large purchaseall">전체
										상품구매</button></li>
								<li><button type="button"
										class="button alt large purchaseselect">선택 상품구매</button></li>
							</ul>
						</div>

					</div>
				</form>
			</div>
		</section>

		<!-- Footer 삽입 -->
		<jsp:include page="/include/footer.jsp" />

	</div>
</body>
<script>

	$(function(){
		var sum_total_price = 0;
		var sum_sale_price = 0;
		var current_sale_price = 0;
		var total_price_text = "";
		var total_sale_price_text = "";
		$(".basket input:checkbox").on("change",function(){
			var product_count = 0;
			product_count = parseInt($(this).parent().siblings(".product_count").text().split("개")[0]);
			
			total_price_text = parseInt($(this).parent().siblings(".total_price").text().split("원")[0]) * product_count;
			if($(this).is(":checked")) {
				sum_total_price += total_price_text;	
			} else {
				sum_total_price -= total_price_text;
			}
			
			$(".sum_total_price").text(sum_total_price+"원");
			
			total_sale_price_text = $(this).parent().siblings(".total_price").text().split("원")[1];
		
			if(total_sale_price_text != "") {
				current_sale_price = parseInt(total_sale_price_text) * product_count;
			} else {
				current_sale_price = total_price_text;
			}
			
			if($(this).is(":checked")) {
				sum_sale_price += current_sale_price;
			} else {
				sum_sale_price -= current_sale_price;
			}
			
			
			$(".sum_sale_price").text("-"+(sum_total_price-sum_sale_price)+"원"); 
			
			
			$(".final_price").text(sum_sale_price+"원");
		});
		
		$(".purchaseall").on("click", function() {
			$("input[name=checkItem]").each(function() {
				if(!$(this).prop("checked")) { 
					$(this).prop("checked", true).change();
				}
			});
			$("input[name=price]").val($(".final_price").text().split("원")[0]);
			$("#purchaseForm").submit();
		});
		
		$(".purchaseselect").on("click", function() {
			if($("input[name=checkItem]:checked").length == 0) {
				alert("선택된 상품이 없습니다.");
			} else {
				$("input[name=price]").val($(".final_price").text().split("원")[0]);
				$("#purchaseForm").submit();
			}
		})
	});
	
	function deletepurchase() {
		if($(".basket input:checkbox:checked").length == 0) {
			alert("선택된 항목이 없습니다.");
		} else {
			var pcode="";
			for(var i=0; i < $(".basket input:checkbox:checked").length; i++) {
				pcode += $('.basket input:checkbox:checked').eq(i).attr('id') + ",";
			}
			
			$.ajax({
				async : true,
				type : 'GET',
				url : "/ProductController?id=<%=user%>&type=deletepurchase&pcode=" + pcode,
				dataType : "text",
				contentType : "application/json; charset=UTF-8",
				success : function(data) {
					if(data == "success") {
						alert("선택한 상품을 구매목록에서 삭제했습니다.");
						location.reload();
					} else {
						alert("선택한 상품 삭제에 실패했습니다.");
					}
				}
			});
		}
	}
	
	function resetpurchase() {
		$.ajax({ 
			async : false,
			type : 'GET',
			url : "/ProductController?id=<%=user%>&type=reset",
			dataType : "text",
			contentType : "application/json; charset=UTF-8",
			success : function(data) {
				if(data == "success") {
					history.go(-1);
				}
			}
		});
	}
</script>
</html>